@pb.onsite_energy_modifier
def potential(energy, x, sub_id):
    """Applies different functions to different sublattices"""
    if sub_id == "A":
        return energy + x  # we know sublattice A is single-orbital
    elif sub_id == "D":
        energy[x > 0] += sub_id.eye * x  # the notation can be mixed with numpy indexing
        return energy                    # apply only to sites where x > 0
    elif sub_id == "B":
        sigma_y = np.array([[0, -1j],
                            [1j,  0]])
        return energy + sigma_y * 1.3 - np.eye(2) * 0.6  # add multiple 2x2 matrices
    else:
        return energy  # leave the other sublattices unchanged