grid = plt.GridSpec(3, 2, hspace=0.4)
plt.figure(figsize=(6.7, 8))

titles_and_shapes = [
    ("Union: s1 + s2",                          s1 + s2),
    ("Union: s1 | s2 (alternative notation)",   s1 | s2),
    ("Intersection: s1 & s2",                   s1 & s2),
    ("Symmetric difference: s1 ^ s2",           s1 ^ s2),
    ("Difference: s1 - s2",                     s1 - s2),
    ("Difference: s2 - s1",                     s2 - s1)
]

for g, (title, shape) in zip(grid, titles_and_shapes):
    plt.subplot(g, title=title)
    s1.plot()
    s2.plot()
    model = pb.Model(graphene.monolayer(), shape)
    model.shape.plot()
    model.plot()